import java.util.*;

public class TaskE2 {
    public static final List<Delimiter> dels = new ArrayList<>();
    public static final ArrayDeque<int[]> q = new ArrayDeque<>(1024);
    public static int stack = 1;
    public static boolean sig;
    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int base = s.nextInt();
        sig = base > 0;
        base = sig ? base : -base;
        int[] simpleCache = new int[31623];
        int index = 0;
        int reach = Math.min(base, (int) Math.sqrt(base) + 2);
        for (int i = 2; i <= reach; i++) {
            boolean simple = true;
            for (int j = 0; j < index; j++)
                if (i % simpleCache[j] == 0) {
                    simple = false; break;
                }
            if (simple) {
                simpleCache[index++] = i;
                int cnt = 0;
                while ((base % i) == 0) {
                    base /= i;
                    cnt++;
                }
                if (cnt != 0)
                    dels.add(new Delimiter(i, cnt));
                if (base == 1) break;
            }
        }
        if (dels.isEmpty()) {
            dels.add(new Delimiter(base, 1));
        }
        recurseTree(0);
    }

    private static void recurseTree(int i) {
        if (i == dels.size()) {
            if ((stack > 0) == sig) {
                print(q);
            }
            return;
        }
        int[][] vars = dels.get(i).variants();
        for (int p = 0; p < vars.length; p++) {
            int t = p % 2 == 0 ? 1 : -1;
            stack *= t;
            q.push(vars[p]);
            recurseTree(i+1);
            q.pop();
            stack *= t;
        }
    }

    private static void print(ArrayDeque<int[]> q) {
        for (int[] j : q) {
            for (int r : j) {
                System.out.print(r);
                System.out.append(' ');
            }
        }
        System.out.println();
    }

    public static class Delimiter {
        public final int number;
        public final int count;
        public Delimiter(int number, int count) {
            this.number = number;
            this.count = count;
        }
        public int[][] variants() {
            int[][] vars = new int[count+1][count];
            for (int i = 0; i < vars.length; i++) {
                Arrays.fill(vars[i], 0, i, -number);
                Arrays.fill(vars[i], i, vars[i].length, number);
            }
            return vars;
        }
    }
}
