#include <iostream>
#include <vector>
#include <algorithm>
#include <stack>
#include <queue>
#include <set>
#include <string>
#include <utility>
#include <cmath>
#include <list>

using namespace std;

#define pb push_back
#define mk make_pair
using ll = long long;
using ull = unsigned long long;
using vi = vector<int>;
using vvi = vector<vi>;
using vb = vector<bool>;

void printMpies(string pref, const list<int> &_primes, int m2)
{
	list<int> primes(_primes);
	auto p = equal_range(primes.begin(), primes.end(), primes.front());
	int count = distance(p.first, p.second);
	int val = primes.front();
	primes.erase(p.first, p.second);
	if (primes.empty())
	{
		for (int i = m2; i <= count; i += 2)
		{
			std::cout << pref;
			for (int j = 0; j < count; ++j)
			{
				if (j < i)
					cout << -val << " ";
				else
					cout << val << " ";
			}
			cout << endl;
		}
		return;
	}
	else
	{
		for (int i = 0; i <= count; ++i)
		{
			string newpref = "";
			for (int j = 0; j < count; ++j)
			{
				if (j < i)
					newpref += "-";
				newpref += to_string(val);
				newpref += " ";
			}
			printMpies(pref + newpref, primes, (i % 2 == 0 ? m2 : (1 - m2)));
		}
	}
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n;
	cin >> n;
	list<int> primes;
	while (std::abs(n) > 1)
	{
		for (int d = 2; d <= std::abs(n); ++d)
		{
			if ((n % d) == 0)
			{
				n = n / d;
				primes.pb(d);
				break;
			}
		}
	}
	//for (auto p : primes)
	//	cout << p << " ";
	printMpies("", primes, (n > 0 ? 0 : 1));
	return 0;
}