#include <iostream>
#include <cmath>
#include <climits>
#include <vector>
#include <map>
#include <string>

using namespace std;

vector <int> pref_func(string s) {
    vector <int> pi(s.size(), 0);

    for (int i = 1; i < s.size(); i++) {
        int j = pi[i - 1];

        while (j > 0 && s[i] != s[j])
            j = pi[j - 1];

        if (s[i] == s[j])
            pi[i] = j + 1;
        else
            pi[i] = j;
    }

    return pi;
}

vector <int> KMP(string big, string small){
    int k = 0; vector <int> answer;
    vector <int> pi = pref_func(small);

    for (int i = 0; i < big.size(); i++){
        while (k > 0 && big[i] != small[k])
            k = pi[k];

        if (big[i] == small[k])
            k = k + 1;

        if (k == small.size()){
            answer.push_back(i - small.size() + 1);
            k = pi[k-1];
        }

    }

    return answer;
}

void A(){
    int n; cin >> n;
    int v = n / 5;
    int i = n % 5;

    for (int j = 0; j < v; j++){
        cout << "V";
    }

    for (int j = 0; j < i; j++){
        cout << "I";
    }
}

void B(){
    int n, a, b; cin >> n >> a >> b;

    int k = (n - 1) / 2 + 1;
    for (int i = 0; i < n; i++){
        for (int j = 0; j < n; j++){
            if (abs(i - k + 1) + abs(j - k + 1) >= a &&
                    abs(i - k + 1) + abs(j - k + 1) <= b){
                cout << "*";
            }
            else{
                cout << ".";
            }
        }
        cout << endl;
    }
}

void C(){
    int days; cin >> days;
    int trains[days];

    for (int i = 0; i < days; i++){
        cin >> trains[i];
    }

    int weight[days][2];
    for (int i = 0; i < days; i++){
        cin >> weight[i][0] >> weight[i][1];
    }

    int res = 0;

    for (int i = 0; i < days; i++){
        if (trains[i] == 1){
            if (weight[i][0] < weight[i][1]){
                res += weight[i][1] - weight[i][0];
            }
        }
    }

    cout << res;
}

void D(){
    int n; map <string, int> answer;
    string rgb[] = {"R", "G", "B"};
    cin >> n;
    string bus[n];
    for (int i = 0; i < n; i++){
        string temp; cin >> temp;
        bus[i] = temp;
    }

    for (int i = 0; i < 3; i++){
        for (int j = 0; j < 3; j++){
            string temp = rgb[i] + rgb[j];
            int ans = 0;
            for (int k = 0; k < n; k++){
                ans += KMP(bus[k], temp).size();
            }
            answer[temp] = ans;
        }
    }

    map <string, int>::iterator it = answer.begin();
    int maxy = INT_MIN;
    vector <string> ans;

    while (it != answer.end()){
        if (it->second == maxy){
            ans.push_back(it->first);
        }
        if (it->second > maxy){
            ans.clear();
            maxy = it->second;
            ans.push_back(it->first);
        }
    }

    for (int i = 0; i < ans.size(); i++){
        cout << ans[i] << endl;
    }
}

void E(){

}

void F(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, k, m; cin >> n >> k >> m;
    vector <int> coins(n);
    for (int i = 0; i < n; i++){
        int res;
        cin >> res; coins[i] = res;
        //cout << coins[i] << ' ';
    }

    int maxC = INT_MIN;

    for (int x = 0; x < n; x++){
        int b = coins[x];
        vector <int> tempCoins = coins;

        //Убираем монеты
        for (int i = 0; i < n; i++){
            if (tempCoins[i] <= b){
                tempCoins[i] = 0;
            }
        }

        //Проверяем с m и k
        bool check = true;
        for (int j = 0; j < n - k + 1 && check; j++){
            int empty = 0;

            if (j == 0){
                for (int l = 0; l < k; l++){
                    if (tempCoins[l] == 0){
                        empty++;
                    }
                }
            }
            else{
                if (tempCoins[j-1] == 0){
                    empty--;
                }
                if (tempCoins[j + k - 1] == 0){
                    empty++;
                }
            }

            if (empty < m){
                check = false;
            }
        }

        //Считаем выйгрыш
        if (check){
            int prize = 0;
            for (int i = 0; i < n; i++){
                prize += tempCoins[i];
                //cout << tempCoins[i] << ' ';
            }
            //cout << prize << ' ' << b << endl;
            maxC = max(prize - b, maxC);
        }
    }

    cout << maxC;

//    8 4 2
//    3 7 4 1 5 9 2 6
}

int main()
{
    D();
    return 0;
}
