﻿#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <iostream>
#include <iomanip>
#include <functional>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>
#include <array>
#include <random>

//#pragma GCC optimize("Ofast")
//#pragma GCC target("avx,avx2,fma")
//#pragma GCC optimization ("O3")
//#pragma GCC optimization ("unroll-loops")
using namespace std;

#define all(x) x.begin(), x.end()
#define int long long

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
}

const int INF = 1e18;

void fill(int n, int mid, vector<int> a, vector<int> b, vector<int>& new_a) {
	for (int i = 0; i < n; i++) {
		if (a[i] <= b[mid]) new_a[i] = 0;
		else new_a[i] = a[i];
	}
}

pair<bool, int> check(int n, int k, int m, vector<int> a) {
	int cnt = 0, sum = 0;
	for (int i = 0; i < k; i++) {
		if (!a[i]) cnt++;
	}
	if (cnt < m) return { false, 0 };
	for (int i = k; i < n; i++) {
		if (!a[i - k]) cnt--;
		if (!a[i]) cnt++;
		if (cnt < m) return { false, 0 };
	}
	for (int i = 0; i < n; i++) sum += a[i];
	return { true, sum };
}

void solve() {
	int n, m, k; cin >> n >> k >> m;
	vector<int> a(n); cin >> a;
	vector<int> b = a;
	sort(all(b));
	int ans = -INF;
	int l = -1, r = n - 1;
	while (r - l > 1) {
		int mid = (l + r) / 2;
		vector<int> new_a(n);
		fill(n, mid, a, b, new_a);
		if (!check(n, k, m, new_a).first) l = mid;
		else r = mid;
	}
	vector<int> new_a(n);
	fill(n, r, a, b, new_a);
	ans = check(n, k, m, new_a).second - b[r];
	cout << ans;
}

int smart(int n, int k, int m, vector<int> a) {
	vector<int> b = a;
	sort(all(b));
	int ans = -INF;
	int l = -1, r = n - 1;
	while (r - l > 1) {
		int mid = (l + r) / 2;
		vector<int> new_a(n);
		fill(n, mid, a, b, new_a);
		if (!check(n, k, m, new_a).first) l = mid;
		else r = mid;
	}
	vector<int> new_a(n);
	fill(n, r, a, b, new_a);
	ans = check(n, k, m, new_a).second - b[r];
	return ans;
}

int stupid(int n, int k, int m, vector<int> a) {
	int ans = -INF;
	for (int i = 0; i < n; i++) {
		vector<int> new_a(n);
		for (int j = 0; j < n; j++) {
			if (a[j] <= a[i]) new_a[j] = 0;
			else new_a[j] = a[j];
		}
		if (check(n, k, m, new_a).first) {
			int sum = check(n, k, m, new_a).second;
			ans = max(ans, sum - a[i]);
		}
	}
	return ans;
}

void gen() {
	for (int test = 1; test <= 1000; test++) {
		int n, m, k;
		vector<int> a;
		//if (test == 1) {}
		//else {}
		n = rand() % 100 + 1;
		k = rand() % n + 1;
		m = rand() % k + 1;
		a.resize(n);
		for (int i = 0; i < n; i++) {
			a[i] = rand() % 1000000000 + 1;
		}
		int ans_sm = smart(n, k, m, a);
		int ans_st = stupid(n, k, m, a);
		if (ans_sm != ans_st) {
			cout << "WA on test " << test << '\n';
			cout << n << ' ' << k << ' ' << m << '\n';
			for (auto i : a) cout << i << ' ';
			cout << '\n';
			cout << "ans_sm: " << ans_sm << '\n' << "ans_st: " << ans_st;
			return;
		}
		else cout << "OK on test " << test << '\n';
	}
}

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	//freopen("power.in", "r", stdin);
	//freopen("power.out", "w", stdout);
	int _t = 1; //cin >> _t;
	while (_t--) {
		solve();
		//gen();
	}

}