import math

def is_prime(n: int) -> bool:
	if 1 < abs(n) < 4:
		return True
	if n % 2 == 0:
		return False
	for d in range(3, math.floor(abs(n)**1/2) + 1, 2):
		if n % d == 0:
			return False
	return True

def find_prime_dividers(n: int, dividers: list[int]) -> int:
	for d in range(2, math.floor(abs(n)**1/2) + 1):
		if is_prime(d) and n % d == 0:
			dividers.append(d)
			return find_prime_dividers(n // d, dividers)
	return dividers + [n]

n = int(input())
dividers = find_prime_dividers(n, [])

print(*dividers)
for i in range(len(dividers) - 1):
	divs = dividers
	divs[i] = -divs[i]
	divs[i+1] = -divs[i+1]
	print(*divs)
