#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

struct game
{
	vector<int64_t> Nums;
	int n, m, k;
	int64_t MaxNum, MinNum;

	game(int n, int m, int k)
	{
		this->n = n;
		this->m = m;
		this->k = k;
		Nums.resize(n);

		MaxNum = 0, MinNum = LLONG_MAX;
		for (int i = 0; i < n; i++)
		{
			cin >> Nums[i];
			if (Nums[i] > MaxNum)
				MaxNum = Nums[i];
			if (Nums[i] < MinNum)
				MinNum = Nums[i];
		}
	}

	int64_t CheckWin(int64_t b)
	{
		int64_t Win = -b;

		vector<int64_t> save = Nums;
		for (auto& Num : Nums)
			if (Num <= b)
				Num = 0;
			else
				Win += Num;
		if (Check())
		{
			Nums = save;
			return Win;
		}
		Nums = save;
		return LLONG_MIN;
	}

	bool Check()
	{
		for (int i = 0; i < n - k + 1; i++)
		{
			int cnt = 0;
			for (int j = i; j < i + k; j++)
				if (Nums[j] == 0)
					cnt++;
			if (cnt < m)
				return false;
		}
		return true;
	}

	int64_t MaxWin()
	{
		int64_t Win = LLONG_MIN;

		for (int64_t i = MinNum; i <= MaxNum; i++)
		{
			int64_t Cur = CheckWin(i);

			if (Cur > Win)
				Win = Cur;
		}
		return Win;
	}
};

int main(void)
{
	int n, k, m;

	cin >> n >> k >> m;
	game Gam(n, m, k);
	cout << Gam.MaxWin();
}