#if 1

#define DEBUG 0

#include <iostream>
#include <vector>
#include <fstream>
#include <string>
#include <cmath>
#include <algorithm>
#include <map>

using namespace std;

#if DEBUG
int runs = 1;
ifstream input("ProblemA/in.txt");
ofstream output("ProblemA/out.txt");
#else
int runs = 1;
istream &input = std::cin;
ostream &output = std::cout;
#endif

const int INF = (int)1e9;
const int MAXN = (int)1e4;

struct Mul
{
	int num;
	int cnt;
};

void eruat(vector<int> &primes)
{
	vector<bool> isPrime(MAXN, true);

	for (int i = 2; i < MAXN; i++)
	{
		if (isPrime[i])
		{
			for (int k = 2; k * i < MAXN; k++)
				isPrime[k * i] = false;
			primes.push_back(i);
		}
	}
}

bool isPrime(int n)
{
	for (int i = 2; i < (int)sqrt(n) + 1; i++)
	{
		if (n % i == 0)
			return false;
	}
	return true;
}


void factorize(int n, vector<int> &primes, vector<Mul> &factor, int &sum)
{
	if (isPrime(n))
	{
		factor.push_back({n, 1});
		sum++;
		return;
	}

	int cur = 0;
	while (n != 1 && cur < primes.size())
	{
		if (n % primes[cur] == 0)
			factor.push_back({primes[cur], 0});

		while (n % primes[cur] == 0)
		{
			n /= primes[cur];
			factor.back().cnt++;
			sum++;
		}
		cur++;
	}
}

void printWithMinuses(vector<Mul> &minus, vector<Mul> &factor, int pos, int curNum, int num, int rem)
{
	if (pos == (int)factor.size() && curNum != num)
		return;

	if (rem + curNum < num)
		return;

	if (pos == (int)factor.size() && curNum == num)
	{
		for (int i = 0; i < factor.size(); i++)
		{
			int cnt = 0;
			for (int j = 0; j < factor[i].cnt; j++)
				output << (cnt++ < minus[i].cnt ? "-" : "") << factor[i].num << (i == (int)factor.size() - 1 && j == factor[i].cnt - 1 ? "\n" : " ");
		}
		return;
	}

	for (int i = 0; i < factor[pos].cnt + 1; i++)
	{
		minus[pos].cnt = i;
		printWithMinuses(minus, factor, pos + 1, curNum + i, num, rem - factor[pos].cnt);
	}
}

int main()
{
	while (runs-- > 0)
	{
		int n;
		input >> n;

		vector<int> primes;
		eruat(primes);

		vector<Mul> factor;
		int sum = 0;
		factorize(abs(n), primes, factor, sum);

		vector<Mul> minus(factor.size());

		for (int i = 0; i < factor.size(); i++)
		{
			minus[i].num = factor[i].num;
			minus[i].cnt = 0;
		}

		if (n > 0)
		{
			for (int i = 0; i <= sum; i += 2)
				printWithMinuses(minus, factor, 0, 0, i, sum);
		}
		else
		{
			for (int i = 1; i <= sum; i += 2)
				printWithMinuses(minus, factor, 0, 0, i, sum);
		}

	}
	return 0;
}

#endif
