#include <iostream>
#include <algorithm>
#include <cmath>
#include <cassert>
#include <vector>
#include <string>
#include <map>
#include <set>
#include <functional>
using namespace std;

using ll = long long;
#define all(o) (o).begin(), (o).end()
#if LOCAL
#define dbg(o) cout << #o << " = " << (o) << "\n";
#else
#define dbg(o)
#endif

template <typename T>
ostream &operator<<(ostream &out, const vector<T> &v) {
    for (const T &e : v) {
        out << e << " ";
    }
    return out;
}
template <typename T, typename Q>
ostream &operator<<(ostream &out, const pair<T, Q> &v) {
    out << v.first << " " << v.second << "\n";
    return out;
}
template <typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (T &e : v) {
        in >> e;
    }
    return in;
}

vector<pair<int, int>> factorize(int n) {
    vector<pair<int, int>> result;
    for (int d = 2; d * d <= n; ++d) {
        if (n % d == 0) result.emplace_back(d, 0);
        while (n % d == 0) {
            result.back().second++;
            n /= d;
        }
    }
    if (n != 1) {
        result.emplace_back(n, 1);
    }
    return result;
}

vector<int> operator+(vector<int> v1, const vector<int>& v2) {
    for (int e : v2) {
        v1.push_back(e);
    }
    return v1;
}

void walk(vector<pair<int, int>> &factors, const vector<int>& prefix, int i, int neg) {
    // dbg(i);
    // dbg(neg);
    // dbg(prefix);
    if (i == factors.size()) {
        if (!neg) {
            cout << prefix << "\n";
        }
        return;
    }

    auto[d, p] = factors[i];
    vector<int> pr(p, d);
    walk(factors, prefix + pr, i + 1, neg);
    for (int j = 0; j < p; ++j) {
        neg = !neg;
        pr[j] *= -1;
        walk(factors, prefix + pr, i + 1, neg);
    }
}


void solve() {
    int n; cin >> n;
    int req = (n < 0 ? 1 : 0);
    n = abs(n);
    vector<pair<int, int>> factors = factorize(n);
    dbg(factors);
    walk(factors, {}, 0, req);
}

int main() {
#if LOCAL
    freopen("../input.txt", "r", stdin);
    int q; cin >> q;
    while (q--) {
        solve();
    }
#else
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    solve();
#endif
}
