#include <iostream>
#include <vector>
#include "algorithm"
#include "utility"
#include <chrono>
#include <random>
#include <cmath>
#include <set>
#include <map>
#include <cstdio>
#include <string>
#include <queue>
#include <stack>
#include "fstream"


using namespace std;

typedef long long ll;
typedef double lf;
typedef long double llf;

#define pb(x) push_back(x)
#define mp(x,y) make_pair(x,y)
#define all(x) x.begin(), x.end()
#define fi first
#define se second

mt19937_64 rng(chrono::steady_clock::now().time_since_epoch().count());

const int int_inf = 2*1e9;
const ll ll_inf = 4*1e18;
const lf lf_inf = 2*1e9;
const llf llf_inf = 4*1e18;
const ll ll_zero = 0;

const llf eps = 1e-9;
const ll mod = 1e9+7;

const string yes = "YES";
const string no = "NO";

unsigned long long myRand(unsigned long long B){
    return rng() % B;
}

set<vector<int>> ans;

void addm(vector<int>& a, int min){
    if (min == 0) {
        vector<int> a2 = a;
        sort(all(a2));
        ans.insert(a2);
        return;
    }
    int n = a.size();
    for (int i = 0; i < n; ++i) {
        if (a[i]>0){
            a[i] = -a[i];
            addm(a, min-1);
            a[i] = abs(a[i]);
        }
    }
}

void solve() {
    int n;
    cin>>n;
    bool isneg = false;
    if (n<0) isneg = true;
    n = abs(n);

    vector<int> dels;
    int k = n;
    for (int i = 2; i <= n; ++i) {
        while (k%i == 0){
            dels.pb(i);
            k/=i;
        }
        if (k == 1){
            break;
        }
    }
    int kd = dels.size();
    for (int i = isneg; i <= kd; i+=2) {
        addm(dels,i);
    }

    for (auto x:ans) {
        for (auto i:x) {
            cout<<i<<" ";
        }
        cout<<"\n";
    }

}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout.setf(ios::fixed);
    cout.precision(12);


    int t = 1;
    //cin>>t;

    for (int i = 0; i < t; ++i) {
        solve();
        cout<<'\n';
    }


    return 0;
}